Bug 1333825 - python-pyramid-mako: Provide a Python 3 subpackage
Summary: python-pyramid-mako: Provide a Python 3 subpackage
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pyramid-mako
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Infrastructure SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
TreeView+ depends on / blocked
 
Reported: 2016-05-06 13:29 UTC by Tomas Orsava
Modified: 2016-08-20 18:08 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-08-20 18:08:04 UTC


Attachments (Terms of Use)
add Python 3 & update version (4.06 KB, patch)
2016-08-18 14:59 UTC, Dominika Krejčí
no flags Details | Diff

Description Tomas Orsava 2016-05-06 13:29:11 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 1 Jan Kurik 2016-07-26 04:20:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 2 Dominika Krejčí 2016-08-18 14:59 UTC
Created attachment 1191903 [details]
add Python 3 & update version

Hi,
here is the change needed to add Python 3 support and update the version. Could you please review it and do the update?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15295964

Comment 3 Kevin Fenzi 2016-08-20 18:08:04 UTC
Looks good. Applied and built in rawhide.


Note You need to log in before you can comment on or make changes to this bug.